| Home | Libraries | People | FAQ | More

## Global punct

boost::xpressive::punct — Matches a punctuation character.

## Synopsis

    // In header: <boost/xpressive/regex_primitives.hpp>

    unspecified punct;

## Description

The regex traits are used to determine which characters are punctuation. To match any character that is not punctuation, use ~punct.

| Note
punct is equivalent to /[[:punct:]]/ in perl. ~punct is equivalent to /[[:^punct:]]/ in perl.